﻿<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>com.devonfw.java.bb</groupId>
    <artifactId>bb</artifactId>
    <version>0.0.1</version>
  </parent>
  <artifactId>bb-api</artifactId>
  <packaging>jar</packaging>
  <name>${project.artifactId}</name>
  <description>API of the server for the bb application (containing datatypes, transfer-objects, and service interfaces).</description>

  <dependencies>
    <dependency>
      <groupId>org.springframework.data</groupId>
      <artifactId>spring-data-commons</artifactId>
    </dependency>
    <dependency>
      <groupId>com.devonfw.java.modules</groupId>
      <artifactId>devon4j-rest</artifactId>
    </dependency>
    <dependency>
      <groupId>com.devonfw.java.modules</groupId>
      <artifactId>devon4j-logging</artifactId>
    </dependency>
    <dependency>
      <groupId>com.devonfw.java.modules</groupId>
      <artifactId>devon4j-security</artifactId>
    </dependency>
    <!-- Required for security REST service -->
    <dependency>
      <groupId>javax.servlet</groupId>
      <artifactId>javax.servlet-api</artifactId>
      <scope>provided</scope>
    </dependency>
    <!-- Tests -->
    <dependency>
      <groupId>com.devonfw.java.modules</groupId>
      <artifactId>devon4j-test</artifactId>
      <scope>test</scope>
    </dependency>
  </dependencies>
</project>
